## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-bigquery-reservation
%global         forgeurl    https://github.com/googleapis/python-bigquery-reservation
Version:        1.6.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python SDK for Google Cloud BigQuery Reservation API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Use unittest.mock instead of PyPI mock
# (https://fedoraproject.org/wiki/Changes/DeprecatePythonMock).
#
# This simple patch cannot be submitted upstream because they support
# Python 3.6 and 3.7, but use AsyncMock, which was introduced to
# unittest.mock in Python 3.8.
Patch0:         python-google-cloud-bigquery-reservation-mock.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(grpcio-testing)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
BigQuery Reservation API: Modify BigQuery flat-rate reservations.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%if %{with tests}
%check
%pytest --disable-warnings tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md samples
%{python3_sitelib}/google_cloud_bigquery_reservation-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 1.6.1-1
- Update to 1.6.1

* Mon Feb 07 2022 Major Hayden <major@mhtx.net> 1.6.0-1
- Update to 1.6.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Major Hayden <major@mhtx.net> 1.5.0-1
- Update to 1.5.0

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1.4.1-1
- Update to 1.4.1

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 1.4.0-2
- First package for version 1.4.0

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> 1.4.0-1
- Initial import (#2012985)
